> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group

> Returns details about a group specified by its `id`.

**Required scopes:** `groups--my:ro`, <Tooltip tip="To get groups the requester is not a member of.">`groups--all:ro`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/get_group
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/get_group:
    post:
      tags:
        - Groups
      summary: Get group
      description: Returns details about a group specified by its `id`.
      operationId: get-group
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetGroupRequest'
            example:
              id: 19
              fields:
                - agent_priorities
                - routing_status
      responses:
        '200':
          description: Group details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
              example:
                id: 19
                name: Sports shoes
                language_code: en
                agent_priorities:
                  agent1@example.com: normal
                  agent2@example.com: normal
                  agent3@example.com: last
                routing_status: offline
components:
  schemas:
    GetGroupRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          description: The group ID.
        fields:
          $ref: '#/components/schemas/GroupFields'
    Group:
      type: object
      properties:
        id:
          type: integer
          description: The group ID.
        name:
          type: string
          description: The group name.
        language_code:
          type: string
          description: The code of the group language.
        agent_priorities:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentPriority'
          description: >-
            The agents' priorities in the group as a map in the `"<id>":
            "<priority>"` format. Returned only when `agent_priorities` is
            passed in the `fields` parameter.
        routing_status:
          type: string
          description: >-
            The routing status of the group. Returned only when `routing_status`
            is passed in the `fields` parameter.
    GroupFields:
      type: array
      items:
        type: string
        enum:
          - agent_priorities
          - routing_status
      description: >-
        The additional fields to include in the response.


        - `agent_priorities` — an object containing agents belonging to a group,
        along with their priorities.

        - `routing_status` — the routing status of a group.
    AgentPriority:
      type: string
      enum:
        - first
        - normal
        - last
        - supervisor
      description: >-
        The agent's chat routing priority in a group.


        - `first` — the highest chat routing priority. Agents with the `first`
        priority get chats before others from the same group.

        - `normal` — the medium chat routing priority. Agents with the `normal`
        priority get chats before those with the `last` priority, when there are
        no agents with the `first` priority available with free slots in the
        group.

        - `last` — the lowest chat routing priority. Agents with the `last`
        priority get chats when there are no agents with the `first` or `normal`
        priority available with free slots in the group.

        - `supervisor` — agents with the `supervisor` priority will not get any
        chats assigned automatically.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````